<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="/vicazh/analyzer/resources/plugin.xsl" />
	<xsl:template name="analyzer.objects">
		<xsl:call-template name="analyzer.bundle" />
		<object idref="bundle">
			<void id="analyzer.s1" method="getString">
				<string>direct</string>
			</void>
			<void id="analyzer.s3" method="getString">
				<string>proxy</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.Reader">
			<string>resources/istart.xsl</string>
			<void id="analyzer.s2" method="getObject">
				<object idref="analyzer.s1" />
			</void>
			<void id="analyzer.s4" method="getObject">
				<object idref="analyzer.s3" />
			</void>
		</object>
	</xsl:template>
	<xsl:template name="analyzer.starts">
		<object class="vicazh.hyperpool.IResource">
			<object idref="analyzer.s2" />
			<object idref="analyzer.s1" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="analyzer.s4" />
			<object idref="analyzer.s3" />
		</object>
	</xsl:template>
</xsl:stylesheet>
