<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="object[@class='vicazh.hyperpool.Group']">
		<xsl:apply-templates select="void[@property='object']"/>
		<group>
			<xsl:attribute name="name">
				<xsl:value-of select="void[@property='name']/string"/>
			</xsl:attribute>
			<xsl:apply-templates select="void[@property='objects']"/>
		</group>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.Line']">
		<line>
			<xsl:attribute name="name">
				<xsl:value-of select="void[@property='name']/string"/>
			</xsl:attribute>
			<xsl:apply-templates select="void[@property='object']"/>
		</line>
	</xsl:template>
	<xsl:template match="object[@class='vicazh.hyperpool.Project']">
		<hyperpool>
			<xsl:attribute name="name">
				<xsl:value-of select="void[@property='name']/string"/>
			</xsl:attribute>
			<xsl:attribute name="version">
				<xsl:value-of select="void[@property='version']/string"/>
			</xsl:attribute>
			<xsl:apply-templates select="void[@property='object']"/>
		</hyperpool>
	</xsl:template>
</xsl:stylesheet>