<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="object">
		<html>
			<head>
				<title>FTP - <xsl:value-of select="void[@property='name']/string"/></title>
			</head>
			<body>
				<center>
					<br/>
					<table width="90%">
						<tr>
							<td>
								<h2>
									FTP Directory: <xsl:value-of select="void[@property='dir']/string"/>
								</h2>
							</td>
						</tr>
						<tr>
							<td>
								<pre>
<xsl:text>
</xsl:text>
									<a href="../">[Parent Directory]</a>
<xsl:text>
</xsl:text>
									<xsl:for-each select="void[@property='list']/object/void/array">
										<xsl:value-of select="void[@index='2']/string"/><xsl:text> </xsl:text><a>
											<xsl:attribute name="href">
												<xsl:value-of select="void[@index='0']/string"/>
											</xsl:attribute>
											<xsl:value-of select="void[@index='1']/string"/>
										</a>
<xsl:text>
</xsl:text>
									</xsl:for-each>
								</pre>
							</td>
						</tr>
					</table>
					<br/>
					<hr width="90%"/>
					<table width="90%">
						<tr>
							<td>
								<pre>
									<xsl:value-of select="void[@property='name']/string"/>
									<xsl:text> </xsl:text>
									<xsl:value-of select="void[@property='ver']/string"/>
								</pre>
							</td>
							<td align="right">
								<pre>
									<xsl:value-of select="void[@property='time']/string"/>
								</pre>
							</td>
						</tr>
					</table>
				</center>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
