<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="stream/net/http/html/resources/plugin.xsl" />
	<xsl:template name="hyperpool.stream.net.http.html.objects">
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="hyperpool.stream.net.http.html.s1" method="getString">
				<string>tasks</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s2" method="getString">
				<string>message</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s3" method="getString">
				<string>messageSource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s4" method="getString">
				<string>downloadSource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s5" method="getString">
				<string>appbrowserSource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s6" method="getString">
				<string>proxySource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s7" method="getString">
				<string>appwebserverSource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s8" method="getString">
				<string>webmessageSource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s14" method="getString">
				<string>switch</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s15" method="getString">
				<string>antivirus</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s16" method="getString">
				<string>webserverSource</string>
			</void>
			<void id="hyperpool.stream.net.http.html.s18" method="getString">
				<string>banners</string>
			</void>
            <void id="hyperpool.stream.net.http.html.s19" method="getString">
                <string>analyzer</string>
            </void>
            <void id="hyperpool.stream.net.http.html.s20" method="getString">
                <string>analyzerSource</string>
            </void>
		</object>
		<object class="vicazh.hyperpool.Reader">
			<string>resources/istart.xsl</string>
			<void id="hyperpool.stream.net.http.html.s9" method="getObject">
				<object idref="hyperpool.stream.net.http.html.s4" />
			</void>
			<void id="hyperpool.stream.net.http.html.s10" method="getObject">
				<object idref="hyperpool.stream.net.http.html.s5" />
			</void>
			<void id="hyperpool.stream.net.http.html.s11" method="getObject">
				<object idref="hyperpool.stream.net.http.html.s6" />
			</void>
			<void id="hyperpool.stream.net.http.html.s12" method="getObject">
				<object idref="hyperpool.stream.net.http.html.s7" />
			</void>
			<void id="hyperpool.stream.net.http.html.s13" method="getObject">
				<object idref="hyperpool.stream.net.http.html.s8" />
			</void>
			<void id="hyperpool.stream.net.http.html.s17" method="getObject">
				<object idref="hyperpool.stream.net.http.html.s16" />
			</void>
            <void id="hyperpool.stream.net.http.html.s21" method="getObject">
                <object idref="hyperpool.stream.net.http.html.s20" />
            </void>
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.html.menuservices">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<void method="add">
							<object class="javax.swing.tree.DefaultMutableTreeNode">
								<string>net</string>
								<void method="add">
									<object class="javax.swing.tree.DefaultMutableTreeNode">
										<string>http</string>
										<void method="add">
											<object class="javax.swing.tree.DefaultMutableTreeNode">
												<string>html</string>
												<xsl:call-template name="hyperpool.stream.net.http.html.services" />
											</object>
										</void>
										<xsl:call-template name="hyperpool.stream.net.http.services" />
									</object>
								</void>
								<xsl:call-template name="hyperpool.stream.net.services" />
							</object>
						</void>
						<xsl:call-template name="hyperpool.stream.services" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.html.services">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.html.s1" />
					<string>stream/net/http/html/resources/task.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.html.s2" />
					<object idref="hyperpool.stream.net.http.html.s3" />
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.html.s14" />
					<string>stream/net/http/html/resources/switch.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.html.s15" />
					<string>stream/net/http/html/resources/antivirus.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.html.s18" />
					<string>stream/net/http/html/resources/banners.xml</string>
				</object>
			</object>
		</void>
        <void method="add">
            <object class="javax.swing.tree.DefaultMutableTreeNode">
                <object class="vicazh.hyperpool.IResource">
                    <object idref="hyperpool.stream.net.http.html.s19" />
                    <string>stream/net/http/html/resources/analyzer.xml</string>
                </object>
            </object>
        </void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.html.starts">
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.html.s9" />
			<object idref="hyperpool.stream.net.http.html.s4" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.html.s10" />
			<object idref="hyperpool.stream.net.http.html.s5" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.html.s11" />
			<object idref="hyperpool.stream.net.http.html.s6" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.html.s12" />
			<object idref="hyperpool.stream.net.http.html.s7" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.html.s13" />
			<object idref="hyperpool.stream.net.http.html.s8" />
		</object>
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.html.s17" />
			<object idref="hyperpool.stream.net.http.html.s16" />
		</object>
        <object class="vicazh.hyperpool.IResource">
            <object idref="hyperpool.stream.net.http.html.s21" />
            <object idref="hyperpool.stream.net.http.html.s20" />
        </object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.switch">
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>switch</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.net.http.html.ISwitchService">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.tasks">
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>address</string>
			</void>
			<void id="s2" method="getString">
				<string>received</string>
			</void>
			<void id="s3" method="getString">
				<string>found</string>
			</void>
			<void id="s4" method="getString">
				<string>new</string>
			</void>
			<void id="s5" method="getString">
				<string>run</string>
			</void>
			<void id="s6" method="getString">
				<string>stop</string>
			</void>
			<void id="s7" method="getString">
				<string>delete</string>
			</void>
			<void id="s8" method="getString">
				<string>task</string>
			</void>
			<void id="s9" method="getString">
				<string>startAddress</string>
			</void>
			<void id="s10" method="getString">
				<string>level</string>
			</void>
			<void id="s11" method="getString">
				<string>startsWith</string>
			</void>
			<void id="s12" method="getString">
				<string>threads</string>
			</void>
			<void id="s13" method="getString">
				<string>saveIn</string>
			</void>
			<void id="s14" method="getString">
				<string>edit</string>
			</void>
			<void id="s15" method="getString">
				<string>tasks</string>
			</void>
			<void id="s16" method="getString">
				<string>break</string>
			</void>
			<void id="s17" method="getString">
				<string>autorun</string>
			</void>
			<void id="s18" method="getString">
				<string>folder</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JScrollPane">
					<object id="table" class="javax.swing.JTable">
						<object class="vicazh.hyperpool.stream.net.http.html.ITaskModel">
							<object idref="s18" />
							<object idref="s1" />
							<object idref="s2" />
							<object idref="s3" />
						</object>
						<void method="setSelectionMode">
							<object class="javax.swing.ListSelectionModel" field="SINGLE_SELECTION" />
						</void>
						<void method="setAutoResizeMode">
							<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
						</void>
						<void method="getColumnModel">
							<void method="getColumn">
								<int>0</int>
								<void method="setPreferredWidth">
									<int>220</int>
								</void>
							</void>
							<void method="getColumn">
								<int>1</int>
								<void method="setPreferredWidth">
									<int>200</int>
								</void>
							</void>
						</void>
					</object>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonnew" class="vicazh.hyperpool.IButton">
							<string>addIcon</string>
							<void property="toolTipText">
								<object idref="s4" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonedit" class="vicazh.hyperpool.IButton">
							<string>editIcon</string>
							<string>editDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s14" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttongo" class="vicazh.hyperpool.IButton">
							<string>playIcon</string>
							<string>playDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s5" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonstop" class="vicazh.hyperpool.IButton">
							<string>softIcon</string>
							<string>softDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s6" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonbreak" class="vicazh.hyperpool.IButton">
							<string>cancelIcon</string>
							<string>cancelDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s16" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttondelete" class="vicazh.hyperpool.IButton">
							<string>noIcon</string>
							<string>noDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s7" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.html.ITaskService">
			<object idref="s15" />
			<object idref="table" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s8" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s9" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textnewaddress" class="javax.swing.JTextField">
									<string>http://</string>
									<int>1</int>
									<void method="setCaretPosition">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s10" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="slidernewlevel" class="javax.swing.JSlider">
									<int>0</int>
									<int>10</int>
									<int>0</int>
									<void method="setMajorTickSpacing">
										<int>1</int>
									</void>
									<void method="setPaintTicks">
										<boolean>true</boolean>
									</void>
									<void method="setPaintLabels">
										<boolean>true</boolean>
									</void>
									<void method="setSnapToTicks">
										<boolean>true</boolean>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s11" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textnewstart" class="javax.swing.JTextField">
									<string>http://</string>
									<int>1</int>
									<void method="setCaretPosition">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s12" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="slidernewthreads" class="javax.swing.JSlider">
									<int>1</int>
									<int>10</int>
									<int>3</int>
									<void method="setMajorTickSpacing">
										<int>1</int>
									</void>
									<void method="setPaintTicks">
										<boolean>true</boolean>
									</void>
									<void method="setPaintLabels">
										<boolean>true</boolean>
									</void>
									<void method="setSnapToTicks">
										<boolean>true</boolean>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="buttonautorun" class="javax.swing.JCheckBox">
									<object idref="s17" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>4</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s13" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>5</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.BorderLayout"/>
									<void method="add">
										<object id="textnewsave" class="javax.swing.JTextField">
											<string>tasks/newtask</string>
											<int>1</int>
											<void method="selectAll"/>
										</object>
									</void>
									<void method="add">
										<object id="buttonbrowse" class="javax.swing.JButton">
											<string>...</string>
											<void property="preferredSize">
												<void id="w" field="width"/>
											</void>
											<void property="preferredSize">
												<object class="java.awt.Dimension">
													<object idref="w"/>
													<int>-1</int>
												</object>
											</void>
											<void property="actionCommand">
												<string>browse</string>
											</void>
										</object>
										<object class="java.awt.BorderLayout" field="EAST"/>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>5</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textnewaddress" />
			<object idref="slidernewlevel" />
			<object idref="textnewstart" />
			<object idref="slidernewthreads" />
			<object idref="textnewsave" />
			<object idref="buttonedit" />
			<object idref="buttongo" />
			<object idref="buttonstop" />
			<object idref="buttonbreak" />
			<object idref="buttondelete" />
			<string>tasks/</string>
			<object idref="buttonautorun" />
			<object idref="frame" />
			<object idref="fsv" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonnew">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="buttonbrowse">
			<void method="addActionListener">
				<object idref="service"/>
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.message">
		<xsl:call-template name="stream.net.http.html.message.objects" />
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>text</string>
			</void>
			<void id="s2" method="getString">
				<string>apply</string>
			</void>
			<void id="s3" method="getString">
				<string>message</string>
			</void>
			<void id="s4" method="getString">
				<string>theme</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="text" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@text" />
							</string>
							<int>20</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s4" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="box" class="javax.swing.JComboBox">
							<xsl:call-template name="stream.net.http.html.message.themes" />
							<void id="model" property="model" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.html.IMessageService">
			<object idref="s3" />
			<object idref="text" />
			<object idref="model" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="box">
			<void property="selectedItem">
				<object idref="sel" />
			</void>
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.antivirus">
		<xsl:call-template name="stream.net.http.html.antivirus.objects" />
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>antivirus</string>
			</void>
			<void id="s2" method="getString">
				<string>clear</string>
			</void>
			<void id="s3" method="getString">
				<string>options</string>
			</void>
			<void id="s4" method="getString">
				<string>storeFiles</string>
			</void>
			<void id="s5" method="getString">
				<string>days</string>
			</void>
			<void id="s6" method="getString">
				<string>messageClear</string>
			</void>
			<void id="s7" method="getString">
				<string>inFolder</string>
			</void>
			<void id="s8" method="getString">
				<string>print</string>
			</void>
			<void id="s9" method="getString">
				<string>clamServer</string>
			</void>
			<void id="s10" method="getString">
				<string>export</string>
			</void>
			<void id="s11" method="getString">
				<string>descriptionPDF</string>
			</void>
			<void id="s12" method="getString">
				<string>messageReplace</string>
			</void>
			<void id="s13" method="getString">
				<string>delimiter</string>
			</void>
			<void id="s14" method="getString">
				<string>clamPort</string>
			</void>
			<void id="s15" method="getString">
				<string>period</string>
			</void>
			<void id="s16" method="getString">
				<string>to</string>
			</void>
			<void id="s17" method="getString">
				<string>hour</string>
			</void>
			<void id="s18" method="getString">
				<string>day</string>
			</void>
			<void id="s19" method="getString">
				<string>week</string>
			</void>
			<void id="s20" method="getString">
				<string>month</string>
			</void>
			<void id="s21" method="getString">
				<string>all</string>
			</void>
			<void id="s22" method="getString">
				<string>calendar</string>
			</void>
			<void id="s23" method="getString">
				<string>create</string>
			</void>
			<void id="s24" method="getString">
				<string>view</string>
			</void>
			<void id="s26" method="getString">
				<string>page</string>
			</void>
			<void id="s27" method="getString">
				<string>type</string>
			</void>
			<void id="s28" method="getString">
				<string>buffer</string>
			</void>
			<void id="s29" method="getString">
				<string>bytes</string>
			</void>
			<void id="s30" method="getString">
				<string>theme</string>
			</void>
			<void id="s31" method="getString">
				<string>10</string>
			</void>
			<void id="s32" method="getString">
				<string>30</string>
			</void>
			<void id="s33" method="getString">
				<string>tooMany</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s27" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JComboBox">
									<xsl:call-template name="stream.net.http.html.antivirus.types" />
									<void id="model" property="model" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s15" />
								</object>
							</void>
							<void method="add">
								<object id="b1" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="boxperiod" class="javax.swing.JComboBox">
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s31" />
											<long>600000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s32" />
											<long>1800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s17" />
											<long>3600000</long>
										</object>
									</void>
									<void method="addItem">
										<object id="selperiod" class="vicazh.hyperpool.stream.ILong">
											<object idref="s18" />
											<long>86400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s19" />
											<long>604800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s20" />
											<long>2678400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s21" />
											<object class="java.lang.Long" field="MAX_VALUE" />
										</object>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>3</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="b2" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="start" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s16" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="end" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s24" />
								</object>
							</void>
							<void method="add">
								<object id="boxzoom" class="javax.swing.JComboBox">
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>0.25</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>0.5</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>0.75</float>
										</object>
									</void>
									<void method="addItem">
										<object id="selz" class="vicazh.hyperpool.stream.IReportZoom">
											<float>1</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>1.25</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>1.5</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>2</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>3</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>4</float>
										</object>
									</void>
									<void property="selectedItem">
										<object idref="selz" />
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s26" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="boxpage" class="javax.swing.JComboBox" />
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="NORTH" />
			</void>
			<void method="add">
				<object id="p" class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttoncreate" class="vicazh.hyperpool.IButton">
							<string>playIcon</string>
							<string>playDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s23" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonprint" class="vicazh.hyperpool.IButton">
							<string>printIcon</string>
							<string>printDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s8" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonexport" class="vicazh.hyperpool.IButton">
							<string>saveIcon</string>
							<string>saveDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s10" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonclear" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.html.IAntivirusService">
			<object idref="s1" />
			<object idref="buttonclear" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s2" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s6" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="start" />
			<object idref="end" />
			<object idref="boxperiod" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s22" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<null />
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
			</object>
			<object idref="b1" />
			<object idref="b2" />
			<object idref="buttoncreate" />
			<object idref="buttonprint" />
			<object idref="buttonexport" />
			<object idref="p" />
			<object idref="model" />
			<object idref="boxzoom" />
			<object idref="boxpage" />
			<object id="bar" class="org.jfree.report.modules.gui.base.ReportProgressBar" />
			<object class="javax.swing.JPanel">
				<object class="java.awt.GridBagLayout" />
				<void method="add">
					<object idref="bar" />
					<object class="java.awt.GridBagConstraints">
						<int>0</int>
						<int>0</int>
						<int>1</int>
						<int>1</int>
						<double>0</double>
						<double>0</double>
						<object class="java.awt.GridBagConstraints" field="CENTER" />
						<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
						<object idref="insets" />
						<int>0</int>
						<int>0</int>
					</object>
				</void>
			</object>
			<object class="javax.swing.JFileChooser">
				<void method="setAcceptAllFileFilterUsed">
					<boolean>false</boolean>
				</void>
				<void property="fileFilter">
					<object id="filter" class="vicazh.hyperpool.IFileFilter">
						<string>pdf</string>
						<object idref="s11" />
					</object>
				</void>
				<void property="fileFilter">
					<object idref="filter" />
				</void>
			</object>
			<object idref="frame" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s10" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s12" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object class="vicazh.hyperpool.stream.IReportModel">
				<int>3</int>
			</object>
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s1" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s33" />
						<object class="javax.swing.JOptionPane" field="ERROR_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="CLOSED_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s3" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s9" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textserver" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s14" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textport" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<object class="java.text.DecimalFormat">
											<string>0</string>
										</object>
										<void property="valueClass">
											<class>java.lang.Integer</class>
										</void>
									</object>
									<void property="columns">
										<int>5</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s28" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textbuffer" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Long</class>
										</void>
									</object>
									<void property="columns">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s29" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s30" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JComboBox">
									<xsl:call-template name="stream.net.http.html.antivirus.themes" />
									<void id="modelthemes" property="model" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>3</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s4" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>4</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdate" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Integer</class>
										</void>
									</object>
									<void property="columns">
										<int>3</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>4</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s5" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>4</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s7" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>5</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>5</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s13" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>6</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdelimiter" class="javax.swing.JTextField">
									<int>5</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>6</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
			<object idref="textdate" />
			<object idref="textdelimiter" />
			<object idref="textserver" />
			<object idref="textport" />
			<object idref="textbuffer" />
			<object idref="modelthemes" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="boxperiod">
			<void property="selectedItem">
				<object idref="selperiod" />
			</void>
		</object>
		<object class="javax.swing.ButtonGroup">
			<void method="add">
				<object idref="b1">
					<void property="selected">
						<boolean>true</boolean>
					</void>
				</object>
			</void>
			<void method="add">
				<object idref="b2" />
			</void>
		</object>
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.banners">
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>banners</string>
			</void>
			<void id="s2" method="getString">
				<string>width</string>
			</void>
			<void id="s3" method="getString">
				<string>height</string>
			</void>
			<void id="s4" method="getString">
				<string>add</string>
			</void>
			<void id="s5" method="getString">
				<string>remove</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JScrollPane">
					<object id="table" class="javax.swing.JTable">
						<object id="model" class="vicazh.hyperpool.stream.net.http.html.IBannersModel">
							<object idref="s2" />
							<object idref="s3" />
							<object id="data" class="java.util.ArrayList">
								<xsl:for-each select="banner">
									<void method="add">
										<object class="vicazh.hyperpool.stream.net.http.html.BannersItem">
											<void property="width">
												<int>
													<xsl:value-of select="@width" />
												</int>
											</void>
											<void property="height">
												<int>
													<xsl:value-of select="@height" />
												</int>
											</void>
										</object>
									</void>
								</xsl:for-each>
							</object>
						</object>
						<void method="setAutoResizeMode">
							<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
						</void>
					</object>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonadd" class="vicazh.hyperpool.IButton">
							<string>addIcon</string>
							<void property="toolTipText">
								<object idref="s4" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonremove" class="vicazh.hyperpool.IButton">
							<string>noIcon</string>
							<string>noDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s5" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.html.IBannersService">
			<object idref="s1" />
			<object idref="table" />
			<object idref="buttonremove" />
			<object idref="data" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonadd">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="model">
			<void method="setService">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.html.analyzer">
		<xsl:call-template name="hyperpool.stream.net.http.html.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>internet</string>
			</void>
			<void id="s2" method="getString">
				<string>name</string>
			</void>
			<void id="s3" method="getString">
				<string>type</string>
			</void>
			<void id="s4" method="getString">
				<string>size</string>
			</void>
			<void id="s5" method="getString">
				<string>creation</string>
			</void>
			<void id="s6" method="getString">
				<string>clear</string>
			</void>
			<void id="s7" method="getString">
				<string>open</string>
			</void>
			<void id="s8" method="getString">
				<string>options</string>
			</void>
            <void id="s9" method="getString">
                <string>startAddress</string>
            </void>
            <void id="s10" method="getString">
                <string>level</string>
            </void>
			<void id="s11" method="getString">
				<string>analyzer</string>
			</void>
            <void id="s12" method="getString">
                <string>threads</string>
            </void>
			<void id="s13" method="getString">
				<string>messageClear</string>
			</void>
			<void id="s14" method="getString">
				<string>saveIn</string>
			</void>
			<void id="s15" method="getString">
				<string>code</string>
			</void>
            <void id="s16" method="getString">
                <string>break</string>
            </void>
			<void id="s23" method="getString">
				<string>run</string>
			</void>
		</object>
		<object id="paneltype" class="javax.swing.JPanel" />
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
                <object class="javax.swing.JPanel">
                    <object class="java.awt.BorderLayout" />
                    <void property="border">
                        <object class="javax.swing.BorderFactory" method="createEmptyBorder">
                            <int>5</int>
                            <int>5</int>
                            <int>5</int>
                            <int>5</int>
                        </object>
                    </void>
                    <void method="add">
                        <object class="javax.swing.JLabel">
                            <object idref="s9" />
                            <void property="border">
                                <object class="javax.swing.BorderFactory" method="createEmptyBorder">
                                    <int>0</int>
                                    <int>0</int>
                                    <int>0</int>
                                    <int>5</int>
                                </object>
                            </void>
                        </object>
                        <object class="java.awt.BorderLayout" field="WEST" />
                    </void>
                    <void method="add">
                        <object id="textaddress" class="javax.swing.JTextField" />
                    </void>
                    <void method="add">
                        <object class="javax.swing.JPanel">
                            <object class="java.awt.BorderLayout" />
                            <void property="border">
                                <object class="javax.swing.BorderFactory" method="createEmptyBorder">
                                    <int>0</int>
                                    <int>5</int>
                                    <int>0</int>
                                    <int>0</int>
                                </object>
                            </void>
                            <void method="add">
                                <object id="bar" class="javax.swing.JProgressBar">
                                    <void property="maximum">
                                        <int>1</int>
                                    </void>
                                    <void property="string">
                                        <string></string>
                                    </void>
                                    <void property="stringPainted">
                                        <boolean>true</boolean>
                                    </void>
                                </object>
                            </void>
                        </object>
                        <object class="java.awt.BorderLayout" field="EAST" />
                    </void>
                </object>
                <object class="java.awt.BorderLayout" field="NORTH" />
			</void>
			<void method="add">
				<object class="javax.swing.JSplitPane">
					<object class="javax.swing.JSplitPane" field="HORIZONTAL_SPLIT" />
					<object class="javax.swing.JScrollPane">
						<object id="tree" class="vicazh.hyperpool.stream.net.http.IExplorerTree">
							<object class="vicazh.hyperpool.stream.net.http.IExplorerNode">
								<null />
								<object idref="s1" />
							</object>
							<void method="getSelectionModel">
								<void method="setSelectionMode">
									<object class="javax.swing.tree.TreeSelectionModel" field="SINGLE_TREE_SELECTION" />
								</void>
							</void>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createEmptyBorder">
									<int>5</int>
									<int>5</int>
									<int>5</int>
									<int>5</int>
								</object>
							</void>
						</object>
					</object>
					<object class="javax.swing.JScrollPane">
						<object id="table" class="javax.swing.JTable">
							<object id="model" class="vicazh.hyperpool.stream.net.http.html.IAnalyzerModel">
								<object idref="s15" />
								<object idref="s2" />
								<object idref="s3" />
								<object idref="s4" />
								<object idref="s5" />
							</object>
							<void method="setSelectionMode">
								<object class="javax.swing.ListSelectionModel" field="SINGLE_SELECTION" />
							</void>
							<void method="setAutoResizeMode">
								<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
							</void>
							<void method="getColumnModel">
								<void method="getColumn">
									<int>0</int>
									<void method="setPreferredWidth">
										<int>50</int>
									</void>
								</void>
								<void method="getColumn">
									<int>1</int>
									<void method="setPreferredWidth">
										<int>150</int>
									</void>
								</void>
								<void method="getColumn">
									<int>4</int>
									<void method="setPreferredWidth">
										<int>150</int>
									</void>
								</void>
							</void>
						</object>
					</object>
					<void method="setDividerLocation">
						<int>200</int>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
                    <void method="add">
                        <object id="buttonrun" class="vicazh.hyperpool.IButton">
                            <string>playIcon</string>
                            <string>playDisabledIcon</string>
                            <void property="toolTipText">
                                <object idref="s23" />
                            </void>
                            <void property="borderPainted">
                                <boolean>false</boolean>
                            </void>
                        </object>
                    </void>
                    <void method="add">
                        <object id="buttonbreak" class="vicazh.hyperpool.IButton">
                            <string>cancelIcon</string>
                            <string>cancelDisabledIcon</string>
                            <void property="toolTipText">
                                <object idref="s16" />
                            </void>
                            <void property="borderPainted">
                                <boolean>false</boolean>
                            </void>
                        </object>
                    </void>
					<void method="add">
						<object id="buttonopen" class="vicazh.hyperpool.IButton">
							<string>wwwIcon</string>
							<string>wwwDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s7" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonclear" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s6" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s8" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.html.IAnalyzerService">
			<object idref="s11" />
			<object idref="buttonclear" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s6" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s13" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
            <object idref="textaddress" />
			<object idref="tree" />
			<object idref="table" />
			<object idref="buttonrun" />
            <object idref="buttonbreak" />
			<object idref="buttonopen" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s8" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s14" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
                            <void method="add">
                                <object class="javax.swing.JLabel">
                                    <object idref="s10" />
                                </object>
                                <object class="java.awt.GridBagConstraints">
                                    <int>0</int>
                                    <int>1</int>
                                    <int>1</int>
                                    <int>1</int>
                                    <double>0</double>
                                    <double>0</double>
                                    <object class="java.awt.GridBagConstraints" field="CENTER" />
                                    <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                                    <object idref="insets" />
                                    <int>0</int>
                                    <int>0</int>
                                </object>
                            </void>
                            <void method="add">
                                <object id="sliderlevel" class="javax.swing.JSlider">
                                    <int>0</int>
                                    <int>10</int>
                                    <int>0</int>
                                    <void method="setMajorTickSpacing">
                                        <int>1</int>
                                    </void>
                                    <void method="setPaintTicks">
                                        <boolean>true</boolean>
                                    </void>
                                    <void method="setPaintLabels">
                                        <boolean>true</boolean>
                                    </void>
                                    <void method="setSnapToTicks">
                                        <boolean>true</boolean>
                                    </void>
                                </object>
                                <object class="java.awt.GridBagConstraints">
                                    <int>1</int>
                                    <int>1</int>
                                    <int>1</int>
                                    <int>1</int>
                                    <double>0</double>
                                    <double>0</double>
                                    <object class="java.awt.GridBagConstraints" field="CENTER" />
                                    <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                                    <object idref="insets" />
                                    <int>0</int>
                                    <int>0</int>
                                </object>
                            </void>
                            <void method="add">
                                <object class="javax.swing.JLabel">
                                    <object idref="s12" />
                                </object>
                                <object class="java.awt.GridBagConstraints">
                                    <int>0</int>
                                    <int>2</int>
                                    <int>1</int>
                                    <int>1</int>
                                    <double>0</double>
                                    <double>0</double>
                                    <object class="java.awt.GridBagConstraints" field="CENTER" />
                                    <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                                    <object idref="insets" />
                                    <int>0</int>
                                    <int>0</int>
                                </object>
                            </void>
                            <void method="add">
                                <object id="sliderthreads" class="javax.swing.JSlider">
                                    <int>1</int>
                                    <int>10</int>
                                    <int>5</int>
                                    <void method="setMajorTickSpacing">
                                        <int>1</int>
                                    </void>
                                    <void method="setPaintTicks">
                                        <boolean>true</boolean>
                                    </void>
                                    <void method="setPaintLabels">
                                        <boolean>true</boolean>
                                    </void>
                                    <void method="setSnapToTicks">
                                        <boolean>true</boolean>
                                    </void>
                                </object>
                                <object class="java.awt.GridBagConstraints">
                                    <int>1</int>
                                    <int>2</int>
                                    <int>1</int>
                                    <int>1</int>
                                    <double>0</double>
                                    <double>0</double>
                                    <object class="java.awt.GridBagConstraints" field="CENTER" />
                                    <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                                    <object idref="insets" />
                                    <int>0</int>
                                    <int>0</int>
                                </object>
                            </void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
            <object idref="sliderlevel" />
            <object idref="sliderthreads" />
            <object idref="bar" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
</xsl:stylesheet>
