<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="stream/net/http/resources/plugin.xsl" />
	<xsl:template name="hyperpool.stream.net.http.objects">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="hyperpool.stream.net.http.s1" method="getString">
				<string>agents</string>
			</void>
			<void id="hyperpool.stream.net.http.s2" method="getString">
				<string>reconnect</string>
			</void>
			<void id="hyperpool.stream.net.http.s3" method="getString">
				<string>explorer</string>
			</void>
			<void id="hyperpool.stream.net.http.s4" method="getString">
				<string>setroute</string>
			</void>
			<void id="hyperpool.stream.net.http.s5" method="getString">
				<string>cache</string>
			</void>
			<void id="hyperpool.stream.net.http.s6" method="getString">
				<string>monitor</string>
			</void>
			<void id="hyperpool.stream.net.http.s7" method="getString">
				<string>trans</string>
			</void>
			<void id="hyperpool.stream.net.http.s8" method="getString">
				<string>servers</string>
			</void>
			<void id="hyperpool.stream.net.http.s9" method="getString">
				<string>ports</string>
			</void>
			<void id="hyperpool.stream.net.http.s10" method="getString">
				<string>tunnelSource</string>
			</void>
			<void id="hyperpool.stream.net.http.s12" method="getString">
				<string>document</string>
			</void>
			<void id="hyperpool.stream.net.http.s13" method="getString">
				<string>log</string>
			</void>
			<void id="hyperpool.stream.net.http.s14" method="getString">
				<string>content</string>
			</void>
			<void id="hyperpool.stream.net.http.s15" method="getString">
				<string>resetroute</string>
			</void>
			<void id="hyperpool.stream.net.http.s16" method="getString">
				<string>router</string>
			</void>
			<void id="hyperpool.stream.net.http.s17" method="getString">
				<string>server</string>
			</void>
			<void id="hyperpool.stream.net.http.s18" method="getString">
				<string>serverSource</string>
			</void>
			<void id="hyperpool.stream.net.http.s19" method="getString">
				<string>host</string>
			</void>
			<void id="hyperpool.stream.net.http.s20" method="getString">
				<string>replace</string>
			</void>
			<void id="hyperpool.stream.net.http.s21" method="getString">
				<string>unpack</string>
			</void>
		</object>
		<object class="vicazh.hyperpool.Reader">
			<string>resources/istart.xsl</string>
			<void id="hyperpool.stream.net.http.s11" method="getObject">
				<object idref="hyperpool.stream.net.http.s10" />
			</void>
		</object>
		<object class="org.jfree.report.JFreeReportBoot" method="getInstance">
			<void method="start" />
		</object>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.menuservices">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<void method="add">
							<object class="javax.swing.tree.DefaultMutableTreeNode">
								<string>net</string>
								<void method="add">
									<object class="javax.swing.tree.DefaultMutableTreeNode">
										<string>http</string>
										<xsl:call-template name="hyperpool.stream.net.http.services" />
									</object>
								</void>
								<xsl:call-template name="hyperpool.stream.net.services" />
							</object>
						</void>
						<xsl:call-template name="hyperpool.stream.services" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.services">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s2" />
					<string>stream/net/http/resources/reconnect.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s3" />
					<string>stream/net/http/resources/explorer.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s5" />
					<string>stream/net/http/resources/cache.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s6" />
					<string>stream/net/http/resources/monitor.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s7" />
					<string>stream/net/http/resources/trans.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s12" />
					<string>stream/net/http/resources/document.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s13" />
					<string>stream/net/http/resources/log.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s4" />
					<string>stream/net/http/resources/setroute.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s15" />
					<string>stream/net/http/resources/resetroute.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s17" />
					<object idref="hyperpool.stream.net.http.s18" />
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s19" />
					<string>stream/net/http/resources/host.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s20" />
					<string>stream/net/http/resources/replace.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s21" />
					<string>stream/net/http/resources/unpack.xml</string>
				</object>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.menuselectors">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<string>hyperpool</string>
				<void method="add">
					<object class="javax.swing.tree.DefaultMutableTreeNode">
						<string>stream</string>
						<void method="add">
							<object class="javax.swing.tree.DefaultMutableTreeNode">
								<string>net</string>
								<void method="add">
									<object class="javax.swing.tree.DefaultMutableTreeNode">
										<string>http</string>
										<xsl:call-template name="hyperpool.stream.net.http.selectors" />
									</object>
								</void>
								<xsl:call-template name="hyperpool.stream.net.selectors" />
							</object>
						</void>
						<xsl:call-template name="hyperpool.stream.selectors" />
					</object>
				</void>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.selectors">
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s1" />
					<string>stream/net/http/resources/agents.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s8" />
					<string>stream/net/http/resources/servers.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s9" />
					<string>stream/net/http/resources/ports.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s14" />
					<string>stream/net/http/resources/content.xml</string>
				</object>
			</object>
		</void>
		<void method="add">
			<object class="javax.swing.tree.DefaultMutableTreeNode">
				<object class="vicazh.hyperpool.IResource">
					<object idref="hyperpool.stream.net.http.s16" />
					<string>stream/net/http/resources/router.xml</string>
				</object>
			</object>
		</void>
	</xsl:template>
	<xsl:template name="hyperpool.stream.net.http.starts">
		<object class="vicazh.hyperpool.IResource">
			<object idref="hyperpool.stream.net.http.s11" />
			<object idref="hyperpool.stream.net.http.s10" />
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.reconnect">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>status</string>
			</void>
			<void id="s2" method="getString">
				<string>name</string>
			</void>
			<void id="s3" method="getString">
				<string>size</string>
			</void>
			<void id="s4" method="getString">
				<string>loaded</string>
			</void>
			<void id="s5" method="getString">
				<string>%</string>
			</void>
			<void id="s6" method="getString">
				<string>try</string>
			</void>
			<void id="s7" method="getString">
				<string>client</string>
			</void>
			<void id="s8" method="getString">
				<string>address</string>
			</void>
			<void id="s9" method="getString">
				<string>reconnectAction</string>
			</void>
			<void id="s10" method="getString">
				<string>options</string>
			</void>
			<void id="s11" method="getString">
				<string>retrys</string>
			</void>
			<void id="s12" method="getString">
				<string>reconnectIfWait</string>
			</void>
			<void id="s13" method="getString">
				<string>sec</string>
			</void>
			<void id="s14" method="getString">
				<string>reconnect</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JScrollPane">
					<object id="table" class="javax.swing.JTable">
						<object class="vicazh.hyperpool.stream.net.http.IReconnectModel">
							<object idref="s1" />
							<object idref="s2" />
							<object idref="s3" />
							<object idref="s4" />
							<object idref="s5" />
							<object idref="s6" />
							<object idref="s7" />
							<object idref="s8" />
						</object>
						<void method="setSelectionMode">
							<object class="javax.swing.ListSelectionModel" field="SINGLE_SELECTION" />
						</void>
						<void method="setAutoResizeMode">
							<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
						</void>
						<void method="getColumnModel">
							<void method="getColumn">
								<int>0</int>
								<void method="setPreferredWidth">
									<int>50</int>
								</void>
							</void>
							<void method="getColumn">
								<int>1</int>
								<void method="setPreferredWidth">
									<int>100</int>
								</void>
							</void>
							<void method="getColumn">
								<int>4</int>
								<void method="setCellRenderer">
									<object class="vicazh.hyperpool.stream.IBarRenderer">
										<object id="bar" class="javax.swing.JProgressBar">
											<void method="setStringPainted">
												<boolean>true</boolean>
											</void>
										</object>
									</object>
								</void>
							</void>
							<void method="getColumn">
								<int>6</int>
								<void method="setPreferredWidth">
									<int>150</int>
								</void>
							</void>
							<void method="getColumn">
								<int>7</int>
								<void method="setPreferredWidth">
									<int>400</int>
								</void>
							</void>
						</void>
					</object>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonreconnect" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s9" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s10" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.IReconnectService">
			<object idref="s14" />
			<object idref="table" />
			<object idref="buttonreconnect" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s10" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s11" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textretry" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Integer</class>
										</void>
									</object>
									<void property="columns">
										<int>3</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s12" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="texttimeout" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Integer</class>
										</void>
									</object>
									<void property="columns">
										<int>3</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s13" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textretry" />
			<object idref="texttimeout" />
			<object idref="bar" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.explorer">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>internet</string>
			</void>
			<void id="s2" method="getString">
				<string>name</string>
			</void>
			<void id="s3" method="getString">
				<string>type</string>
			</void>
			<void id="s4" method="getString">
				<string>size</string>
			</void>
			<void id="s5" method="getString">
				<string>creation</string>
			</void>
			<void id="s6" method="getString">
				<string>clear</string>
			</void>
			<void id="s7" method="getString">
				<string>open</string>
			</void>
			<void id="s8" method="getString">
				<string>options</string>
			</void>
			<void id="s9" method="getString">
				<string>maximumSize</string>
			</void>
			<void id="s10" method="getString">
				<string>mb</string>
			</void>
			<void id="s11" method="getString">
				<string>explorer</string>
			</void>
			<void id="s12" method="getString">
				<string>check</string>
			</void>
			<void id="s13" method="getString">
				<string>messageClear</string>
			</void>
			<void id="s14" method="getString">
				<string>inFolder</string>
			</void>
			<void id="s15" method="getString">
				<string>period</string>
			</void>
			<void id="s16" method="getString">
				<string>to</string>
			</void>
			<void id="s17" method="getString">
				<string>hour</string>
			</void>
			<void id="s18" method="getString">
				<string>day</string>
			</void>
			<void id="s19" method="getString">
				<string>week</string>
			</void>
			<void id="s20" method="getString">
				<string>month</string>
			</void>
			<void id="s21" method="getString">
				<string>all</string>
			</void>
			<void id="s22" method="getString">
				<string>calendar</string>
			</void>
			<void id="s23" method="getString">
				<string>refresh</string>
			</void>
			<void id="s24" method="getString">
				<string>max</string>
			</void>
			<void id="s25" method="getString">
				<string>type</string>
			</void>
			<void id="s26" method="getString">
				<string>text</string>
			</void>
			<void id="s27" method="getString">
				<string>image</string>
			</void>
			<void id="s28" method="getString">
				<string>audio</string>
			</void>
			<void id="s29" method="getString">
				<string>video</string>
			</void>
			<void id="s30" method="getString">
				<string>application</string>
			</void>
			<void id="s31" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s32" method="getString">
				<string>10</string>
			</void>
			<void id="s33" method="getString">
				<string>30</string>
			</void>
            <void id="s34" method="getString">
                <string>openLocal</string>
            </void>
		</object>
		<object id="paneltype" class="javax.swing.JPanel" />
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="preferredSize">
								<object class="java.awt.Dimension">
									<int>280</int>
									<int>90</int>
								</object>
							</void>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s15" />
								</object>
							</void>
							<void method="add">
								<object id="b1" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="box" class="javax.swing.JComboBox">
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s32" />
											<long>600000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s33" />
											<long>1800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s17" />
											<long>3600000</long>
										</object>
									</void>
									<void method="addItem">
										<object id="sel" class="vicazh.hyperpool.stream.ILong">
											<object idref="s18" />
											<long>86400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s19" />
											<long>604800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s20" />
											<long>2678400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s21" />
											<object class="java.lang.Long" field="MAX_VALUE" />
										</object>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>3</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="b2" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="start" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s16" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="end" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.BorderLayout" />
							<void property="preferredSize">
								<object class="java.awt.Dimension">
									<int>150</int>
									<int>90</int>
								</object>
							</void>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s25" />
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JScrollPane">
									<object idref="paneltype">
										<void property="layout">
											<object class="javax.swing.BoxLayout">
												<object idref="paneltype" />
												<object class="javax.swing.BoxLayout" field="Y_AXIS" />
											</object>
										</void>
										<void method="add">
											<object id="c1" class="javax.swing.JCheckBox">
												<object idref="s26" />
												<boolean>true</boolean>
												<void property="actionCommand">
													<string>text</string>
												</void>
											</object>
										</void>
										<void method="add">
											<object id="c2" class="javax.swing.JCheckBox">
												<object idref="s27" />
												<void property="actionCommand">
													<string>image</string>
												</void>
											</object>
										</void>
										<void method="add">
											<object id="c3" class="javax.swing.JCheckBox">
												<object idref="s28" />
												<void property="actionCommand">
													<string>audio</string>
												</void>
											</object>
										</void>
										<void method="add">
											<object id="c4" class="javax.swing.JCheckBox">
												<object idref="s29" />
												<void property="actionCommand">
													<string>video</string>
												</void>
											</object>
										</void>
										<void method="add">
											<object id="c5" class="javax.swing.JCheckBox">
												<object idref="s30" />
												<void property="actionCommand">
													<string>application</string>
												</void>
											</object>
										</void>
										<void method="add">
											<object id="c6" class="javax.swing.JCheckBox">
												<object idref="s31" />
												<void property="actionCommand">
													<string>other</string>
												</void>
											</object>
										</void>
									</object>
									<void property="verticalScrollBar">
										<void property="unitIncrement">
											<int>10</int>
										</void>
									</void>
								</object>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="NORTH" />
			</void>
			<void method="add">
				<object class="javax.swing.JSplitPane">
					<object class="javax.swing.JSplitPane" field="HORIZONTAL_SPLIT" />
					<object class="javax.swing.JScrollPane">
						<object id="tree" class="vicazh.hyperpool.stream.net.http.IExplorerTree">
							<object class="vicazh.hyperpool.stream.net.http.IExplorerNode">
								<null />
								<object idref="s1" />
							</object>
							<void method="getSelectionModel">
								<void method="setSelectionMode">
									<object class="javax.swing.tree.TreeSelectionModel" field="SINGLE_TREE_SELECTION" />
								</void>
							</void>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createEmptyBorder">
									<int>5</int>
									<int>5</int>
									<int>5</int>
									<int>5</int>
								</object>
							</void>
						</object>
					</object>
					<object class="javax.swing.JScrollPane">
						<object id="table" class="javax.swing.JTable">
							<object id="model" class="vicazh.hyperpool.stream.net.http.IExplorerModel">
								<object idref="s2" />
								<object idref="s3" />
								<object idref="s4" />
								<object idref="s5" />
								<object idref="s12" />
							</object>
							<void method="setSelectionMode">
								<object class="javax.swing.ListSelectionModel" field="SINGLE_SELECTION" />
							</void>
							<void method="setAutoResizeMode">
								<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
							</void>
							<void method="getColumnModel">
								<void method="getColumn">
									<int>0</int>
									<void method="setPreferredWidth">
										<int>150</int>
									</void>
								</void>
								<void method="getColumn">
									<int>3</int>
									<void method="setPreferredWidth">
										<int>150</int>
									</void>
								</void>
								<void method="getColumn">
									<int>4</int>
									<void method="setPreferredWidth">
										<int>150</int>
									</void>
								</void>
							</void>
						</object>
					</object>
					<void method="setDividerLocation">
						<int>200</int>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonrefresh" class="vicazh.hyperpool.IButton">
							<string>playIcon</string>
							<string>playDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s23" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
                    <void method="add">
                        <object id="buttonopenlocal" class="vicazh.hyperpool.IButton">
                            <string>localIcon</string>
                            <string>localDisabledIcon</string>
                            <void property="toolTipText">
                                <object idref="s34" />
                            </void>
                            <void property="borderPainted">
                                <boolean>false</boolean>
                            </void>
                        </object>
                    </void>
					<void method="add">
						<object id="buttonopen" class="vicazh.hyperpool.IButton">
							<string>wwwIcon</string>
							<string>wwwDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s7" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonclear" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s6" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s8" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.IExplorerService">
			<object idref="s11" />
			<object idref="buttonclear" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s6" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s13" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="start" />
			<object idref="end" />
			<object idref="box" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s22" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<null />
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
			</object>
			<object idref="b1" />
			<object idref="b2" />
			<object idref="tree" />
			<object idref="table" />
			<object idref="buttonrefresh" />
			<object idref="buttonopen" />
            <object idref="buttonopenlocal" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s8" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s9" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textsize" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Long</class>
										</void>
									</object>
									<void property="columns">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s10" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s14" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s24" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textmax" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Long</class>
										</void>
									</object>
									<void property="columns">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s10" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
			<object idref="textsize" />
			<object idref="textmax" />
			<array class="javax.swing.AbstractButton">
				<object idref="c1" />
				<object idref="c2" />
				<object idref="c3" />
				<object idref="c4" />
				<object idref="c5" />
				<object idref="c6" />
			</array>
		</object>
		<xsl:call-template name="panel" />
		<object idref="box">
			<void property="selectedItem">
				<object idref="sel" />
			</void>
		</object>
		<object class="javax.swing.ButtonGroup">
			<void method="add">
				<object idref="b1">
					<void property="selected">
						<boolean>true</boolean>
					</void>
				</object>
			</void>
			<void method="add">
				<object idref="b2" />
			</void>
		</object>
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.cache">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>found</string>
			</void>
			<void id="s2" method="getString">
				<string>received</string>
			</void>
			<void id="s3" method="getString">
				<string>reset</string>
			</void>
			<void id="s4" method="getString">
				<string>cache</string>
			</void>
			<void id="s5" method="getString">
				<string>options</string>
			</void>
			<void id="s6" method="getString">
				<string>fileFolder</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="vicazh.hyperpool.IPanel">
					<string>window</string>
					<void property="layout">
						<object class="java.awt.GridBagLayout" />
					</void>
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="org.jfree.chart.ChartPanel">
							<object id="chart" class="org.jfree.chart.JFreeChart">
								<object class="org.jfree.chart.plot.RingPlot">
									<object class="org.jfree.data.general.DefaultPieDataset">
										<void method="setValue">
											<object idref="s1" />
											<object class="java.lang.Long">
												<long>0</long>
											</object>
										</void>
										<void method="setValue">
											<object idref="s2" />
											<object class="java.lang.Long">
												<long>0</long>
											</object>
										</void>
									</object>
									<void property="labelGenerator">
										<null />
									</void>
									<void property="legendLabelGenerator">
										<object class="org.jfree.chart.labels.StandardPieSectionLabelGenerator">
											<string>{1} ({2}) {0}</string>
										</object>
									</void>
								</object>
								<void property="legend">
									<void property="position">
										<object class="org.jfree.ui.RectangleEdge" field="RIGHT" />
									</void>
									<void property="itemFont">
										<void id="font" method="deriveFont">
											<float>10</float>
										</void>
									</void>
									<void property="itemFont">
										<object idref="font" />
									</void>
									<void property="border">
										<object class="org.jfree.chart.block.BlockBorder" field="NONE" />
									</void>
								</void>
							</object>
							<boolean>false</boolean>
							<boolean>true</boolean>
							<boolean>true</boolean>
							<boolean>false</boolean>
							<boolean>true</boolean>
							<void method="setPreferredSize">
								<object class="java.awt.Dimension">
									<int>290</int>
									<int>190</int>
								</object>
							</void>
							<void id="component" property="popupMenu" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonreset" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s5" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.ICacheService">
			<object idref="s4" />
			<object idref="chart" />
			<object idref="buttonreset" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s5" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s6" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
			<object idref="component" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.monitor">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>active</string>
			</void>
			<void id="s2" method="getString">
				<string>terminate</string>
			</void>
			<void id="s3" method="getString">
				<string>monitor</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JScrollPane">
					<object id="tree" class="vicazh.hyperpool.stream.net.http.IMonitorTree">
						<object class="javax.swing.tree.DefaultMutableTreeNode">
							<object idref="s1" />
						</object>
						<void method="getSelectionModel">
							<void method="setSelectionMode">
								<object class="javax.swing.tree.TreeSelectionModel" field="SINGLE_TREE_SELECTION" />
							</void>
						</void>
						<void property="border">
							<object class="javax.swing.BorderFactory" method="createEmptyBorder">
								<int>5</int>
								<int>5</int>
								<int>5</int>
								<int>5</int>
							</object>
						</void>
					</object>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonclose" class="vicazh.hyperpool.IButton">
							<string>noIcon</string>
							<string>noDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.IMonitorService">
			<object idref="s3" />
			<object idref="tree" />
			<object idref="buttonclose" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.trans">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>remoteAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>remotePort</string>
			</void>
			<void id="s3" method="getString">
				<string>apply</string>
			</void>
			<void id="s4" method="getString">
				<string>trans</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="texthost" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@host" />
							</string>
							<int>10</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s2" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="textport" class="javax.swing.JFormattedTextField">
							<object class="javax.swing.text.NumberFormatter">
								<object class="java.text.DecimalFormat">
									<string>0</string>
								</object>
								<void property="valueClass">
									<class>java.lang.Integer</class>
								</void>
							</object>
							<void property="value">
								<object class="java.lang.Integer">
									<int>
										<xsl:value-of select="@port" />
									</int>
								</object>
							</void>
							<void property="columns">
								<int>5</int>
							</void>
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.ITransService">
			<object idref="s4" />
			<object idref="texthost" />
			<object idref="textport" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.servers">
		<xsl:call-template name="hyperpool.stream.priorities.prepare" />
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>server</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s4" method="getString">
				<string>auto</string>
			</void>
			<void id="s5" method="getString">
				<string>add</string>
			</void>
			<void id="s6" method="getString">
				<string>remove</string>
			</void>
			<void id="s7" method="getString">
				<string>servers</string>
			</void>
			<void id="s8" method="getString">
				<string>client</string>
			</void>
			<void id="s9" method="getString">
				<string>server</string>
			</void>
			<void id="s10" method="getString">
				<string>priorities</string>
			</void>
			<void id="s11" method="getString">
				<string>lines</string>
			</void>
			<void id="s12" method="getString">
				<string>outgoing</string>
			</void>
			<void id="s13" method="getString">
				<string>incoming</string>
			</void>
			<void id="s15" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s16" method="getString">
				<string>apply</string>
			</void>
			<void id="s21" method="getString">
				<string>clientSpeed</string>
			</void>
			<void id="s22" method="getString">
				<string>serverSpeed</string>
			</void>
			<void id="s23" method="getString">
				<string>client%</string>
			</void>
			<void id="s24" method="getString">
				<string>server%</string>
			</void>
		</object>
		<xsl:call-template name="hyperpool.stream.controllistselector" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.ports">
		<xsl:call-template name="hyperpool.stream.priorities.prepare" />
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>port</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s4" method="getString">
				<string>auto</string>
			</void>
			<void id="s5" method="getString">
				<string>add</string>
			</void>
			<void id="s6" method="getString">
				<string>remove</string>
			</void>
			<void id="s7" method="getString">
				<string>ports</string>
			</void>
			<void id="s8" method="getString">
				<string>client</string>
			</void>
			<void id="s9" method="getString">
				<string>server</string>
			</void>
			<void id="s10" method="getString">
				<string>priorities</string>
			</void>
			<void id="s11" method="getString">
				<string>lines</string>
			</void>
			<void id="s12" method="getString">
				<string>outgoing</string>
			</void>
			<void id="s13" method="getString">
				<string>incoming</string>
			</void>
			<void id="s15" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s16" method="getString">
				<string>apply</string>
			</void>
			<void id="s21" method="getString">
				<string>clientSpeed</string>
			</void>
			<void id="s22" method="getString">
				<string>serverSpeed</string>
			</void>
			<void id="s23" method="getString">
				<string>client%</string>
			</void>
			<void id="s24" method="getString">
				<string>server%</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JTabbedPane">
			<void method="addTab">
				<object idref="s11" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
								<int>20</int>
								<int>20</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s3" />
								</object>
							</void>
							<void method="add">
								<object id="defbox" class="javax.swing.JComboBox">
									<object id="defmodel" class="vicazh.hyperpool.stream.ISelectorDefModel">
										<object id="data" class="java.util.ArrayList">
											<xsl:for-each select="list">
												<xsl:for-each select="value">
													<void method="add">
														<object class="java.lang.Integer">
															<int>
																<xsl:value-of select="." />
															</int>
														</object>
													</void>
												</xsl:for-each>
											</xsl:for-each>
										</object>
									</object>
								</object>
							</void>
							<void method="add">
								<object id="buttonauto" class="javax.swing.JCheckBox">
									<object idref="s4" />
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="table" class="javax.swing.JTable">
								<object id="model" class="vicazh.hyperpool.stream.net.http.IPortsModel">
									<object idref="s1" />
									<object idref="s2" />
									<object idref="data" />
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object id="valmodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
												</object>
											</object>
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonadd" class="vicazh.hyperpool.IButton">
									<string>addIcon</string>
									<void property="toolTipText">
										<object idref="s5" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonremove" class="vicazh.hyperpool.IButton">
									<string>noIcon</string>
									<string>noDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s6" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
			<void method="addTab">
				<object idref="s10" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s12" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="textc" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@clientspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s13" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="texts" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@serverspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="ptable" class="javax.swing.JTable">
								<object id="pmodel" class="vicazh.hyperpool.stream.IPrioritiesModel">
									<object idref="s2" />
									<object idref="s8" />
									<object idref="s9" />
									<object idref="s21" />
									<object idref="s22" />
									<object idref="s23" />
									<object idref="s24" />
									<xsl:call-template name="hyperpool.stream.priorities" />
									<double>
										<xsl:value-of select="@clientspeed" />
									</double>
									<double>
										<xsl:value-of select="@serverspeed" />
									</double>
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>2</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>3</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>4</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>5</int>
										<void method="setCellRenderer">
											<object id="r" class="vicazh.hyperpool.stream.IBarRenderer">
												<object id="bar" class="javax.swing.JProgressBar">
													<void method="setStringPainted">
														<boolean>true</boolean>
													</void>
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>6</int>
										<void method="setCellRenderer">
											<object idref="r" />
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonok" class="vicazh.hyperpool.IButton">
									<string>applyIcon</string>
									<string>applyDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s16" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IControlListSelector">
			<object idref="s7" />
			<object idref="valmodel" />
			<object idref="defbox" />
			<object idref="ptable" />
			<object idref="textc" />
			<object idref="texts" />
			<object idref="buttonok" />
			<object idref="bar" />
			<object idref="table" />
			<object idref="buttonadd" />
			<object idref="buttonremove" />
			<object idref="data" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonauto">
			<void method="addItemListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="model">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="valmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defbox">
			<void property="selectedIndex">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
		</object>
		<object idref="pmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.document">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>documentAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>apply</string>
			</void>
			<void id="s3" method="getString">
				<string>document</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="text" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@url" />
							</string>
							<int>20</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.IDocumentService">
			<object idref="s3" />
			<object idref="text" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.log">
		<xsl:call-template name="stream.net.http.log.objects" />
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>log</string>
			</void>
			<void id="s2" method="getString">
				<string>clear</string>
			</void>
			<void id="s3" method="getString">
				<string>options</string>
			</void>
			<void id="s4" method="getString">
				<string>storeFiles</string>
			</void>
			<void id="s5" method="getString">
				<string>days</string>
			</void>
			<void id="s6" method="getString">
				<string>messageClear</string>
			</void>
			<void id="s7" method="getString">
				<string>inFolder</string>
			</void>
			<void id="s8" method="getString">
				<string>print</string>
			</void>
			<void id="s10" method="getString">
				<string>export</string>
			</void>
			<void id="s11" method="getString">
				<string>descriptionPDF</string>
			</void>
			<void id="s12" method="getString">
				<string>messageReplace</string>
			</void>
			<void id="s13" method="getString">
				<string>delimiter</string>
			</void>
			<void id="s15" method="getString">
				<string>period</string>
			</void>
			<void id="s16" method="getString">
				<string>to</string>
			</void>
			<void id="s17" method="getString">
				<string>hour</string>
			</void>
			<void id="s18" method="getString">
				<string>day</string>
			</void>
			<void id="s19" method="getString">
				<string>week</string>
			</void>
			<void id="s20" method="getString">
				<string>month</string>
			</void>
			<void id="s21" method="getString">
				<string>all</string>
			</void>
			<void id="s22" method="getString">
				<string>calendar</string>
			</void>
			<void id="s23" method="getString">
				<string>create</string>
			</void>
			<void id="s24" method="getString">
				<string>view</string>
			</void>
			<void id="s26" method="getString">
				<string>page</string>
			</void>
			<void id="s27" method="getString">
				<string>type</string>
			</void>
			<void id="s28" method="getString">
				<string>10</string>
			</void>
			<void id="s29" method="getString">
				<string>30</string>
			</void>
			<void id="s33" method="getString">
				<string>tooMany</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s27" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JComboBox">
									<xsl:call-template name="stream.net.http.log.types" />
									<void id="model" property="model" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s15" />
								</object>
							</void>
							<void method="add">
								<object id="b1" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="box" class="javax.swing.JComboBox">
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s28" />
											<long>600000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s29" />
											<long>1800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s17" />
											<long>3600000</long>
										</object>
									</void>
									<void method="addItem">
										<object id="sel" class="vicazh.hyperpool.stream.ILong">
											<object idref="s18" />
											<long>86400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s19" />
											<long>604800000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s20" />
											<long>2678400000</long>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.ILong">
											<object idref="s21" />
											<object class="java.lang.Long" field="MAX_VALUE" />
										</object>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>3</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="b2" class="javax.swing.JRadioButton" />
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="start" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s16" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="end" class="javax.swing.JButton" />
								<object class="java.awt.GridBagConstraints">
									<int>3</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s24" />
								</object>
							</void>
							<void method="add">
								<object id="boxzoom" class="javax.swing.JComboBox">
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>0.25</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>0.5</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>0.75</float>
										</object>
									</void>
									<void method="addItem">
										<object id="selz" class="vicazh.hyperpool.stream.IReportZoom">
											<float>1</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>1.25</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>1.5</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>2</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>3</float>
										</object>
									</void>
									<void method="addItem">
										<object class="vicazh.hyperpool.stream.IReportZoom">
											<float>4</float>
										</object>
									</void>
									<void property="selectedItem">
										<object idref="selz" />
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s26" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="boxpage" class="javax.swing.JComboBox" />
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="NORTH" />
			</void>
			<void method="add">
				<object id="p" class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttoncreate" class="vicazh.hyperpool.IButton">
							<string>playIcon</string>
							<string>playDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s23" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonprint" class="vicazh.hyperpool.IButton">
							<string>printIcon</string>
							<string>printDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s8" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonexport" class="vicazh.hyperpool.IButton">
							<string>saveIcon</string>
							<string>saveDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s10" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonclear" class="vicazh.hyperpool.IButton">
							<string>resetIcon</string>
							<string>resetDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
					<void method="add">
						<object id="buttonoptions" class="vicazh.hyperpool.IButton">
							<string>optionsIcon</string>
							<void property="toolTipText">
								<object idref="s3" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.ILogService">
			<object idref="s1" />
			<object idref="buttonclear" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s2" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s6" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="start" />
			<object idref="end" />
			<object idref="box" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s22" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<null />
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
			</object>
			<object idref="b1" />
			<object idref="b2" />
			<object idref="buttoncreate" />
			<object idref="buttonprint" />
			<object idref="buttonexport" />
			<object idref="p" />
			<object idref="model" />
			<object idref="boxzoom" />
			<object idref="boxpage" />
			<object id="bar" class="org.jfree.report.modules.gui.base.ReportProgressBar" />
			<object class="javax.swing.JPanel">
				<object class="java.awt.GridBagLayout" />
				<void method="add">
					<object idref="bar" />
					<object class="java.awt.GridBagConstraints">
						<int>0</int>
						<int>0</int>
						<int>1</int>
						<int>1</int>
						<double>0</double>
						<double>0</double>
						<object class="java.awt.GridBagConstraints" field="CENTER" />
						<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
						<object idref="insets" />
						<int>0</int>
						<int>0</int>
					</object>
				</void>
			</object>
			<object class="javax.swing.JFileChooser">
				<void method="setAcceptAllFileFilterUsed">
					<boolean>false</boolean>
				</void>
				<void property="fileFilter">
					<object id="filter" class="vicazh.hyperpool.IFileFilter">
						<string>pdf</string>
						<object idref="s11" />
					</object>
				</void>
				<void property="fileFilter">
					<object idref="filter" />
				</void>
			</object>
			<object idref="frame" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s10" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s12" />
						<object class="javax.swing.JOptionPane" field="WARNING_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="YES_NO_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object class="vicazh.hyperpool.stream.net.http.ILogModel" />
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s1" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object idref="s33" />
						<object class="javax.swing.JOptionPane" field="ERROR_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="CLOSED_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object class="javax.swing.JDialog">
				<object idref="frame" />
				<object idref="s3" />
				<boolean>true</boolean>
				<void method="setResizable">
					<boolean>false</boolean>
				</void>
				<void method="setContentPane">
					<object class="javax.swing.JOptionPane">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s4" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdate" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Integer</class>
										</void>
									</object>
									<void property="columns">
										<int>3</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s5" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s7" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdir" class="javax.swing.JTextField">
									<int>15</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s13" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="textdelimiter" class="javax.swing.JTextField">
									<int>5</int>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>2</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="javax.swing.JOptionPane" field="PLAIN_MESSAGE" />
						<object class="javax.swing.JOptionPane" field="OK_CANCEL_OPTION" />
					</object>
				</void>
				<void method="pack" />
			</object>
			<object idref="textdir" />
			<object idref="textdate" />
			<object idref="textdelimiter" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="box">
			<void property="selectedItem">
				<object idref="sel" />
			</void>
		</object>
		<object class="javax.swing.ButtonGroup">
			<void method="add">
				<object idref="b1">
					<void property="selected">
						<boolean>true</boolean>
					</void>
				</object>
			</void>
			<void method="add">
				<object idref="b2" />
			</void>
		</object>
		<object idref="buttonoptions">
			<void method="addActionListener">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.content">
		<xsl:call-template name="hyperpool.stream.priorities.prepare" />
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>type</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>content</string>
			</void>
			<void id="s4" method="getString">
				<string>auto</string>
			</void>
			<void id="s5" method="getString">
				<string>add</string>
			</void>
			<void id="s6" method="getString">
				<string>remove</string>
			</void>
			<void id="s9" method="getString">
				<string>priority</string>
			</void>
			<void id="s10" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s11" method="getString">
				<string>priorities</string>
			</void>
			<void id="s12" method="getString">
				<string>lines</string>
			</void>
			<void id="s13" method="getString">
				<string>incoming</string>
			</void>
			<void id="s15" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s16" method="getString">
				<string>apply</string>
			</void>
			<void id="s17" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s18" method="getString">
				<string>%</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JTabbedPane">
			<void method="addTab">
				<object idref="s12" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
								<int>20</int>
								<int>20</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s10" />
								</object>
							</void>
							<void method="add">
								<object id="defbox" class="javax.swing.JComboBox">
									<object id="defmodel" class="vicazh.hyperpool.stream.ISelectorDefModel">
										<object id="data" class="java.util.ArrayList">
											<void method="add">
												<string>text</string>
											</void>
											<void method="add">
												<string>image</string>
											</void>
											<void method="add">
												<string>audio</string>
											</void>
											<void method="add">
												<string>video</string>
											</void>
											<void method="add">
												<string>application</string>
											</void>
											<xsl:for-each select="list">
												<xsl:for-each select="type">
													<void method="remove">
														<string>
															<xsl:value-of select="." />
														</string>
													</void>
													<void method="add">
														<string>
															<xsl:value-of select="." />
														</string>
													</void>
												</xsl:for-each>
											</xsl:for-each>
										</object>
									</object>
								</object>
							</void>
							<void method="add">
								<object id="buttonauto" class="javax.swing.JCheckBox">
									<object idref="s4" />
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="table" class="javax.swing.JTable">
								<object id="model" class="vicazh.hyperpool.stream.ISelectorModel">
									<object idref="s1" />
									<object idref="s2" />
									<object idref="data" />
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object id="valmodel" class="vicazh.hyperpool.stream.ISelectorListModel" />
												</object>
											</object>
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonadd" class="vicazh.hyperpool.IButton">
									<string>addIcon</string>
									<void property="toolTipText">
										<object idref="s5" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
							<void method="add">
								<object id="buttonremove" class="vicazh.hyperpool.IButton">
									<string>noIcon</string>
									<string>noDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s6" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
			<void method="addTab">
				<object idref="s11" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridBagLayout" />
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s13" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>0</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object id="insets" class="java.awt.Insets">
										<int>2</int>
										<int>5</int>
										<int>2</int>
										<int>5</int>
									</object>
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object id="texts" class="javax.swing.JFormattedTextField">
									<object class="javax.swing.text.NumberFormatter">
										<void property="valueClass">
											<class>java.lang.Double</class>
										</void>
									</object>
									<void property="value">
										<double>
											<xsl:value-of select="@speed" />
										</double>
									</void>
									<void property="columns">
										<int>7</int>
									</void>
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>1</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel">
									<object idref="s15" />
								</object>
								<object class="java.awt.GridBagConstraints">
									<int>2</int>
									<int>0</int>
									<int>1</int>
									<int>1</int>
									<double>0</double>
									<double>0</double>
									<object class="java.awt.GridBagConstraints" field="CENTER" />
									<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
									<object idref="insets" />
									<int>0</int>
									<int>0</int>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="ptable" class="javax.swing.JTable">
								<object id="pmodel" class="vicazh.hyperpool.stream.net.http.IContentPrioritiesModel">
									<object idref="s2" />
									<object idref="s9" />
									<object idref="s17" />
									<object idref="s18" />
									<xsl:call-template name="hyperpool.stream.priorities" />
									<double>
										<xsl:value-of select="@speed" />
									</double>
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>150</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>3</int>
										<void method="setCellRenderer">
											<object class="vicazh.hyperpool.stream.IBarRenderer">
												<object id="bar" class="javax.swing.JProgressBar">
													<void method="setStringPainted">
														<boolean>true</boolean>
													</void>
												</object>
											</object>
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonok" class="vicazh.hyperpool.IButton">
									<string>applyIcon</string>
									<string>applyDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s16" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IControlListSelector">
			<object idref="s3" />
			<object idref="valmodel" />
			<object idref="defbox" />
			<object idref="ptable" />
			<null />
			<object idref="texts" />
			<object idref="buttonok" />
			<object idref="bar" />
			<object idref="table" />
			<object idref="buttonadd" />
			<object idref="buttonremove" />
			<object idref="data" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="buttonauto">
			<void method="addItemListener">
				<object idref="service" />
			</void>
		</object>
		<object idref="model">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="valmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defbox">
			<void property="selectedIndex">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
		</object>
		<object idref="pmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.agents">
		<xsl:call-template name="hyperpool.stream.priorities.prepare" />
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>agent</string>
			</void>
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s4" method="getString">
				<string>auto</string>
			</void>
			<void id="s5" method="getString">
				<string>add</string>
			</void>
			<void id="s6" method="getString">
				<string>remove</string>
			</void>
			<void id="s7" method="getString">
				<string>agents</string>
			</void>
			<void id="s8" method="getString">
				<string>client</string>
			</void>
			<void id="s9" method="getString">
				<string>server</string>
			</void>
			<void id="s10" method="getString">
				<string>priorities</string>
			</void>
			<void id="s11" method="getString">
				<string>lines</string>
			</void>
			<void id="s12" method="getString">
				<string>outgoing</string>
			</void>
			<void id="s13" method="getString">
				<string>incoming</string>
			</void>
			<void id="s15" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s16" method="getString">
				<string>apply</string>
			</void>
			<void id="s21" method="getString">
				<string>clientSpeed</string>
			</void>
			<void id="s22" method="getString">
				<string>serverSpeed</string>
			</void>
			<void id="s23" method="getString">
				<string>client%</string>
			</void>
			<void id="s24" method="getString">
				<string>server%</string>
			</void>
		</object>
		<xsl:call-template name="hyperpool.stream.controllistselector" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.setroute">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>getAddress</string>
			</void>
			<void id="s2" method="getString">
				<string>apply</string>
			</void>
			<void id="s3" method="getString">
				<string>setroute</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="textaddress" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@address" />
							</string>
							<int>20</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.ISetRouteService">
			<object idref="s3" />
			<object idref="textaddress" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.resetroute">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>resetroute</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.net.http.IResetRouteService">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.router">
		<xsl:call-template name="hyperpool.stream.priorities.prepare" />
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s2" method="getString">
				<string>line</string>
			</void>
			<void id="s3" method="getString">
				<string>forOthers</string>
			</void>
			<void id="s7" method="getString">
				<string>router</string>
			</void>
			<void id="s8" method="getString">
				<string>client</string>
			</void>
			<void id="s9" method="getString">
				<string>server</string>
			</void>
			<void id="s10" method="getString">
				<string>priorities</string>
			</void>
			<void id="s11" method="getString">
				<string>lines</string>
			</void>
			<void id="s12" method="getString">
				<string>outgoing</string>
			</void>
			<void id="s13" method="getString">
				<string>incoming</string>
			</void>
			<void id="s15" method="getString">
				<string>speedLabel</string>
			</void>
			<void id="s16" method="getString">
				<string>apply</string>
			</void>
			<void id="s21" method="getString">
				<string>clientSpeed</string>
			</void>
			<void id="s22" method="getString">
				<string>serverSpeed</string>
			</void>
			<void id="s23" method="getString">
				<string>client%</string>
			</void>
			<void id="s24" method="getString">
				<string>server%</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JTabbedPane">
			<void method="addTab">
				<object idref="s11" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
								<int>20</int>
								<int>20</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
									<object idref="s3" />
								</object>
							</void>
							<void method="add">
								<object id="defbox" class="javax.swing.JComboBox">
									<object id="defmodel" class="vicazh.hyperpool.stream.ISelectorDefModel">
										<null />
									</object>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JLabel" />
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
				</object>
			</void>
			<void method="addTab">
				<object idref="s10" />
				<object class="javax.swing.JPanel">
					<object class="java.awt.BorderLayout" />
					<void method="add">
						<object class="javax.swing.JPanel">
							<object class="java.awt.GridLayout">
								<int>1</int>
								<int>0</int>
							</object>
							<void property="border">
								<object class="javax.swing.BorderFactory" method="createTitledBorder">
									<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s12" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="textc" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@clientspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
							<void method="add">
								<object class="javax.swing.JPanel">
									<object class="java.awt.GridBagLayout" />
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s13" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>0</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object id="insets" class="java.awt.Insets">
												<int>2</int>
												<int>5</int>
												<int>2</int>
												<int>5</int>
											</object>
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object id="texts" class="javax.swing.JFormattedTextField">
											<object class="javax.swing.text.NumberFormatter">
												<void property="valueClass">
													<class>java.lang.Double</class>
												</void>
											</object>
											<void property="value">
												<double>
													<xsl:value-of select="@serverspeed" />
												</double>
											</void>
											<void property="columns">
												<int>7</int>
											</void>
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>1</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
									<void method="add">
										<object class="javax.swing.JLabel">
											<object idref="s15" />
										</object>
										<object class="java.awt.GridBagConstraints">
											<int>2</int>
											<int>0</int>
											<int>1</int>
											<int>1</int>
											<double>0</double>
											<double>0</double>
											<object class="java.awt.GridBagConstraints" field="CENTER" />
											<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
											<object idref="insets" />
											<int>0</int>
											<int>0</int>
										</object>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="NORTH" />
					</void>
					<void method="add">
						<object class="javax.swing.JScrollPane">
							<object id="ptable" class="javax.swing.JTable">
								<object id="pmodel" class="vicazh.hyperpool.stream.IPrioritiesModel">
									<object idref="s2" />
									<object idref="s8" />
									<object idref="s9" />
									<object idref="s21" />
									<object idref="s22" />
									<object idref="s23" />
									<object idref="s24" />
									<xsl:call-template name="hyperpool.stream.priorities" />
									<double>
										<xsl:value-of select="@clientspeed" />
									</double>
									<double>
										<xsl:value-of select="@serverspeed" />
									</double>
								</object>
								<void method="setAutoResizeMode">
									<object class="javax.swing.JTable" field="AUTO_RESIZE_OFF" />
								</void>
								<void method="getColumnModel">
									<void method="getColumn">
										<int>0</int>
										<void method="setPreferredWidth">
											<int>200</int>
										</void>
									</void>
									<void method="getColumn">
										<int>1</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>2</int>
										<void method="setPreferredWidth">
											<int>110</int>
										</void>
										<void method="setCellEditor">
											<object class="javax.swing.DefaultCellEditor">
												<object class="javax.swing.JComboBox">
													<object idref="hyperpool.stream.priorities" />
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>3</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>4</int>
										<void method="setPreferredWidth">
											<int>80</int>
										</void>
									</void>
									<void method="getColumn">
										<int>5</int>
										<void method="setCellRenderer">
											<object id="r" class="vicazh.hyperpool.stream.IBarRenderer">
												<object id="bar" class="javax.swing.JProgressBar">
													<void method="setStringPainted">
														<boolean>true</boolean>
													</void>
												</object>
											</object>
										</void>
									</void>
									<void method="getColumn">
										<int>6</int>
										<void method="setCellRenderer">
											<object idref="r" />
										</void>
									</void>
								</void>
							</object>
						</object>
					</void>
					<void method="add">
						<object class="javax.swing.JPanel">
							<void method="add">
								<object id="buttonok" class="vicazh.hyperpool.IButton">
									<string>applyIcon</string>
									<string>applyDisabledIcon</string>
									<void property="toolTipText">
										<object idref="s16" />
									</void>
									<void property="borderPainted">
										<boolean>false</boolean>
									</void>
								</object>
							</void>
						</object>
						<object class="java.awt.BorderLayout" field="SOUTH" />
					</void>
				</object>
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.IDefSelector">
			<object idref="s7" />
			<null />
			<null />
			<object idref="defbox" />
			<object idref="ptable" />
			<object idref="textc" />
			<object idref="texts" />
			<object idref="buttonok" />
			<object idref="bar" />
		</object>
		<xsl:call-template name="panel" />
		<object idref="defmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
		<object idref="defbox">
			<void property="selectedIndex">
				<int>
					<xsl:value-of select="@def" />
				</int>
			</void>
		</object>
		<object idref="pmodel">
			<void method="setSelector">
				<object idref="service" />
			</void>
		</object>
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.server">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>root</string>
			</void>
			<void id="s2" method="getString">
				<string>apply</string>
			</void>
			<void id="s3" method="getString">
				<string>server</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="root" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@root" />
							</string>
							<int>20</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.ISenderService">
			<object idref="s3" />
			<object idref="root" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.host">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>hostName</string>
			</void>
			<void id="s2" method="getString">
				<string>apply</string>
			</void>
			<void id="s3" method="getString">
				<string>host</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel">
			<object class="java.awt.BorderLayout" />
			<void method="add">
				<object class="javax.swing.JPanel">
					<object class="java.awt.GridBagLayout" />
					<void property="border">
						<object class="javax.swing.BorderFactory" method="createEtchedBorder" />
					</void>
					<void method="add">
						<object class="javax.swing.JLabel">
							<object idref="s1" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>0</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object id="insets" class="java.awt.Insets">
								<int>2</int>
								<int>5</int>
								<int>2</int>
								<int>5</int>
							</object>
							<int>0</int>
							<int>0</int>
						</object>
					</void>
					<void method="add">
						<object id="text" class="javax.swing.JTextField">
							<string>
								<xsl:value-of select="@name" />
							</string>
							<int>20</int>
							<void method="selectAll" />
						</object>
						<object class="java.awt.GridBagConstraints">
							<int>1</int>
							<int>0</int>
							<int>1</int>
							<int>1</int>
							<double>0</double>
							<double>0</double>
							<object class="java.awt.GridBagConstraints" field="CENTER" />
							<object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
							<object idref="insets" />
							<int>0</int>
							<int>0</int>
						</object>
					</void>
				</object>
			</void>
			<void method="add">
				<object class="javax.swing.JPanel">
					<void method="add">
						<object id="buttonok" class="vicazh.hyperpool.IButton">
							<string>applyIcon</string>
							<string>applyDisabledIcon</string>
							<void property="toolTipText">
								<object idref="s2" />
							</void>
							<void property="borderPainted">
								<boolean>false</boolean>
							</void>
						</object>
					</void>
				</object>
				<object class="java.awt.BorderLayout" field="SOUTH" />
			</void>
		</object>
		<object id="service" class="vicazh.hyperpool.stream.net.http.IHostService">
			<object idref="s3" />
			<object idref="text" />
			<object idref="buttonok" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
	<xsl:template match="hyperpool.stream.net.http.replace">
        <xsl:call-template name="hyperpool.stream.net.http.bundle" />
        <object idref="bundle">
            <void id="s1" method="getString">
                <string>regex</string>
            </void>
            <void id="s2" method="getString">
                <string>replacement</string>
            </void>
            <void id="s3" method="getString">
                <string>apply</string>
            </void>
            <void id="s4" method="getString">
                <string>replace</string>
            </void>
        </object>
        <object id="panel" class="javax.swing.JPanel">
            <object class="java.awt.BorderLayout" />
            <void method="add">
                <object class="javax.swing.JPanel">
                    <object class="java.awt.GridBagLayout" />
                    <void property="border">
                        <object class="javax.swing.BorderFactory" method="createEtchedBorder" />
                    </void>
                    <void method="add">
                        <object class="javax.swing.JLabel">
                            <object idref="s1" />
                        </object>
                        <object class="java.awt.GridBagConstraints">
                            <int>0</int>
                            <int>0</int>
                            <int>1</int>
                            <int>1</int>
                            <double>0</double>
                            <double>0</double>
                            <object class="java.awt.GridBagConstraints" field="CENTER" />
                            <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                            <object id="insets" class="java.awt.Insets">
                                <int>2</int>
                                <int>5</int>
                                <int>2</int>
                                <int>5</int>
                            </object>
                            <int>0</int>
                            <int>0</int>
                        </object>
                    </void>
                    <void method="add">
                        <object id="textRegex" class="javax.swing.JTextField">
                            <string>
                                <xsl:value-of select="@regex" />
                            </string>
                            <int>20</int>
                            <void method="selectAll" />
                        </object>
                        <object class="java.awt.GridBagConstraints">
                            <int>1</int>
                            <int>0</int>
                            <int>1</int>
                            <int>1</int>
                            <double>0</double>
                            <double>0</double>
                            <object class="java.awt.GridBagConstraints" field="CENTER" />
                            <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                            <object idref="insets" />
                            <int>0</int>
                            <int>0</int>
                        </object>
                    </void>
                    <void method="add">
                        <object class="javax.swing.JLabel">
                            <object idref="s2" />
                        </object>
                        <object class="java.awt.GridBagConstraints">
                            <int>0</int>
                            <int>1</int>
                            <int>1</int>
                            <int>1</int>
                            <double>0</double>
                            <double>0</double>
                            <object class="java.awt.GridBagConstraints" field="CENTER" />
                            <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                            <object id="insets" class="java.awt.Insets">
                                <int>2</int>
                                <int>5</int>
                                <int>2</int>
                                <int>5</int>
                            </object>
                            <int>0</int>
                            <int>0</int>
                        </object>
                    </void>
                    <void method="add">
                        <object id="textReplacement" class="javax.swing.JTextField">
                            <string>
                                <xsl:value-of select="@replacement" />
                            </string>
                            <int>20</int>
                            <void method="selectAll" />
                        </object>
                        <object class="java.awt.GridBagConstraints">
                            <int>1</int>
                            <int>1</int>
                            <int>1</int>
                            <int>1</int>
                            <double>0</double>
                            <double>0</double>
                            <object class="java.awt.GridBagConstraints" field="CENTER" />
                            <object class="java.awt.GridBagConstraints" field="HORIZONTAL" />
                            <object idref="insets" />
                            <int>0</int>
                            <int>0</int>
                        </object>
                    </void>
                </object>
            </void>
            <void method="add">
                <object class="javax.swing.JPanel">
                    <void method="add">
                        <object id="buttonok" class="vicazh.hyperpool.IButton">
                            <string>applyIcon</string>
                            <string>applyDisabledIcon</string>
                            <void property="toolTipText">
                                <object idref="s3" />
                            </void>
                            <void property="borderPainted">
                                <boolean>false</boolean>
                            </void>
                        </object>
                    </void>
                </object>
                <object class="java.awt.BorderLayout" field="SOUTH" />
            </void>
        </object>
        <object id="service" class="vicazh.hyperpool.stream.net.http.IReplaceService">
            <object idref="s4" />
            <object idref="textRegex" />
            <object idref="textReplacement" />
            <object idref="buttonok" />
        </object>
        <xsl:call-template name="panel" />
    </xsl:template>
	<xsl:template match="hyperpool.stream.net.http.unpack">
		<xsl:call-template name="hyperpool.stream.net.http.bundle" />
		<object idref="bundle">
			<void id="s1" method="getString">
				<string>unpack</string>
			</void>
		</object>
		<object id="panel" class="javax.swing.JPanel" />
		<object id="service" class="vicazh.hyperpool.stream.net.http.IUnpackService">
			<object idref="s1" />
		</object>
		<xsl:call-template name="panel" />
	</xsl:template>
</xsl:stylesheet>
