<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="resources/iliteapplication.xsl"/>
	<xsl:include href="stream/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/http/resources/iplugin.xsl"/>
	<xsl:include href="stream/net/http/html/resources/iplugin.xsl"/>
	<xsl:include href="/vicazh/analyzer/themes/resources/iplugin.xsl"/>
	<xsl:include href="/vicazh/analyzer/resources/iplugin.xsl"/>
	<xsl:template name="objects">
		<xsl:call-template name="analyzer.themes.objects"/>
		<xsl:call-template name="analyzer.objects"/>
	</xsl:template>
	<xsl:template name="services">
	</xsl:template>
	<xsl:template name="selectors">
	</xsl:template>
	<xsl:template name="starts">
		<xsl:call-template name="analyzer.starts"/>
	</xsl:template>
	<xsl:template name="themes">
		<xsl:call-template name="analyzer.themes"/>
	</xsl:template>
	<xsl:template name="themes.default">
		<xsl:call-template name="analyzer.themes.default"/>
	</xsl:template>
	<xsl:template name="themes.logo">
		<xsl:call-template name="analyzer.themes.logo"/>
	</xsl:template>
	<xsl:template name="themes.logotray">
		<xsl:call-template name="analyzer.themes.logotray"/>
	</xsl:template>
	<xsl:template name="themes.home">
		<xsl:call-template name="analyzer.themes.home"/>
	</xsl:template>
	<xsl:template name="themes.splash">
		<xsl:call-template name="analyzer.themes.splash"/>
	</xsl:template>
	<xsl:template name="themes.splash.close">
		<xsl:call-template name="analyzer.themes.splash.close"/>
	</xsl:template>
	<xsl:template name="stream.net.stat.objects">
	</xsl:template>
	<xsl:template name="stream.net.stat.types">
	</xsl:template>
	<xsl:template name="stream.net.smtp.antivirus.objects">
	</xsl:template>
	<xsl:template name="stream.net.smtp.antivirus.types">
	</xsl:template>
	<xsl:template name="stream.net.pop3.antivirus.objects">
	</xsl:template>
	<xsl:template name="stream.net.pop3.antivirus.types">
	</xsl:template>
	<xsl:template name="stream.net.http.log.objects">
	</xsl:template>
	<xsl:template name="stream.net.http.log.types">
	</xsl:template>
	<xsl:template name="stream.net.http.html.message.objects">
	</xsl:template>
	<xsl:template name="stream.net.http.html.message.themes">
	</xsl:template>
	<xsl:template name="stream.net.http.html.antivirus.objects">
	</xsl:template>
	<xsl:template name="stream.net.http.html.antivirus.themes">
	</xsl:template>
	<xsl:template name="stream.net.http.html.antivirus.types">
	</xsl:template>
	<xsl:template name="save"/>
</xsl:stylesheet>
