<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="java/object">
		<frame>
			<xsl:attribute name="x">
				<xsl:value-of select="void[@property='bounds']/object/int[1]"/>
			</xsl:attribute>
			<xsl:attribute name="y">
				<xsl:value-of select="void[@property='bounds']/object/int[2]"/>
			</xsl:attribute>
			<xsl:attribute name="w">
				<xsl:value-of select="void[@property='bounds']/object/int[3]"/>
			</xsl:attribute>
			<xsl:attribute name="h">
				<xsl:value-of select="void[@property='bounds']/object/int[4]"/>
			</xsl:attribute>
			<xsl:attribute name="l">
				<xsl:value-of select="void[@property='location']/int"/>
			</xsl:attribute>
			<xsl:attribute name="t">
				<xsl:value-of select="void[@property='theme']/string"/>
			</xsl:attribute>
			<xsl:attribute name="m">
				<xsl:value-of select="boolean(void[@property='tray']/boolean)"/>
			</xsl:attribute>
			<xsl:attribute name="f">
				<xsl:value-of select="sum(void[@property='f']/long)"/>
			</xsl:attribute>
			<xsl:attribute name="s">
				<xsl:value-of select="void[@property='serial']/string"/>
			</xsl:attribute>
		</frame>
	</xsl:template>
</xsl:stylesheet>
