<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template match="file">
		<java>
			<object class="vicazh.hyperpool.stream.net.http.Session">
				<void property="client">
					<object class="vicazh.hyperpool.stream.net.http.ClientStream">
						<void property="file">
							<string>
								<xsl:value-of select="@url"/>
							</string>
						</void>
					</object>
				</void>
				<void property="server">
					<object class="vicazh.hyperpool.stream.net.http.ServerStream">
						<void property="code">
							<int>
								<xsl:value-of select="@code"/>
							</int>
						</void>
						<void property="fields">
							<object class="java.util.HashMap">
								<xsl:for-each select="field">
									<void method="put">
										<string>
											<xsl:value-of select="@name"/>
										</string>
										<string>
											<xsl:value-of select="."/>
										</string>
									</void>
								</xsl:for-each>
							</object>
						</void>
					</object>
				</void>
			</object>
		</java>
	</xsl:template>
</xsl:stylesheet>
